using System;

class zadatakA
{
    static void Main()
    {
        string[] input = Console.ReadLine().Split();
        int n = int.Parse(input[0]);
        int vl = int.Parse(input[1]);
        int[] h = new int[n];
        string[] uh = Console.ReadLine().Split();
        for (int i = 0; i < n; i++)
        {
            h[i] = int.Parse(uh[i]);
        }
        for (int i = 0; i < n; i++)
        {
            if (h[i] <= vl)
            {
                Console.WriteLine(i + 1);
                return;
            }
        }
        Console.WriteLine(-1);
    }
}